// SPDX-License-Identifier: GPL-3.0-or-later
/*
 * Qt mutizone MQTT thermostat
 *
 * Copyright (C) 2019 Richard Genoud
 *
 */

#include <QEventLoop>
#include <QLoggingCategory>

#define LOOP_SLEEP_TIME_S 5

#include "backgroundloop.h"


BackgroundLoop::BackgroundLoop() {
}

BackgroundLoop::~BackgroundLoop() {
}

void BackgroundLoop::run()
{
	while(!isInterruptionRequested()) {
		this->sleep(LOOP_SLEEP_TIME_S);
	}
}

/* vim: set tabstop=8 shiftwidth=8 softtabstop=0 noexpandtab: */
